ModifyPrivateZoneRecordsStatus

1. API Description

This API (ModifyPrivateZoneRecordsStatus) is used to Modify the DNS record state of a DNS Zone.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

DNS Zone ID.

recordIds

Yes

Array of String

The ID of the DNS record to be modified the state.

status

Yes

DNS record state.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Enable DNS record.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyPrivateZoneRecordsStatus
<Common Request Params>

Request:
{
  "zoneId": "<zoneId>",
  "recordId": "<recordId>",
  "status": "Enabled"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRIVATE_ZONE_NOT_FOUND

DNS Zone does not exist.

404

INVALID_PRIVATE_ZONE_RECORD_NOT_EXIST

The specified DNS record does not exist under the DNS Zone.

Last updated